Bug 772987 - Review Request: globus-gram-job-manager-condor - Globus Toolkit - Condor Job Manager Support
Summary: Review Request: globus-gram-job-manager-condor - Globus Toolkit - Condor Job ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Huffman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-10 15:44 UTC by Mattias Ellert
Modified: 2012-03-15 19:53 UTC (History)
3 users (show)

Fixed In Version: globus-gram-job-manager-condor-1.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-01 01:02:44 UTC
bloch: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2012-01-10 15:44:26 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-gram-job-manager-condor.spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-gram-job-manager-condor-1.0-1.fc16.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-gram-job-manager-condor package contains:
Condor Job Manager Support

Note to reviewers: This review is caused by a rename of the upstream package. This package replaces the globus-gram-job-manager-setup-condor package.

Some of the build dependencies for this package are in updates-testing. Buildroot overrides are in place in koji.

Comment 2 Adam Huffman 2012-02-20 13:15:20 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f package.filelist section. This
     is OK if packaging for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST No %config files under /usr.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint globus-gram-job-manager-condor-1.0-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint globus-gram-job-manager-condor-1.0-2.fc18.noarch.rpm

globus-gram-job-manager-condor.noarch: W: obsolete-not-provided globus-gram-job-manager-setup-condor-doc
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/adam/Fedora/fedora-review/772987/globus_gram_job_manager_condor-1.0.tar.gz :
  MD5SUM this package     : 9aa934b9d8304818dcd79914d1c0f65d
  MD5SUM upstream package : 9aa934b9d8304818dcd79914d1c0f65d

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: SHOULD Scriptlets must be sane, if used.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source8: GLOBUS-GRAM5 (GLOBUS-GRAM5)
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f package.filelist section. This
     is OK if packaging for EPEL5. Otherwise not needed
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST Rpmlint output is silent.

rpmlint globus-gram-job-manager-condor-1.0-2.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint globus-gram-job-manager-condor-1.0-2.fc18.noarch.rpm

globus-gram-job-manager-condor.noarch: W: obsolete-not-provided globus-gram-job-manager-setup-condor-doc
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Generated by fedora-review 0.1.2

Comment 3 Mattias Ellert 2012-02-23 14:03:07 UTC
Replies to the issues:

[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5

This - like all other globus packages - is inended to be built for EPEL.

[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f package.filelist section. This
     is OK if packaging for EPEL5. Otherwise not needed

This - like all other globus packages - is inended to be built for EPEL.

[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.

The license file is installed and is tagged as a documentation file in the RPM metadata:

$ rpm -qdp globus-gram-job-manager-condor-1.0-2.fc16.noarch.rpm 
/usr/share/doc/globus-gram-job-manager-condor-1.0/GLOBUS_LICENSE
/usr/share/doc/globus-gram-job-manager-condor-1.0/README
/usr/share/globus/packages/globus_gram_job_manager_condor/noflavor_doc.filelist
/usr/share/globus/packages/globus_gram_job_manager_condor/pkg_data_noflavor_doc.gpt

[!]: MUST Rpmlint output is silent.

globus-gram-job-manager-condor.noarch: W: obsolete-not-provided

$ rpmlint -I obsolete-not-provided
obsolete-not-provided:
If a package is obsoleted by a compatible replacement, the obsoleted package
should also be provided in order to not cause unnecessary dependency breakage.
If the obsoleting package is not a compatible replacement for the old one,
leave out the Provides.

The globus-gram-job-manager-setup-condor package is replaced by the globus-gram-job-manager-condor package and a Provides is appropriate in ths case and is there, but the new package does not have a documentation subpackage, which means that the old globus-gram-job-manager-setup-condor-doc package is discontinued without a replacement. An Obsoletes without a Provides is appropriate in this case.

Comment 4 Adam Huffman 2012-02-24 17:08:40 UTC
Thanks for explaining the Obsoletes situation.  I assumed it was intentional, just wanted to make sure.

Re. the %doc problem - looking again I see you generate the listing dynamically, so that's fine.

APPROVED

Comment 5 Mattias Ellert 2012-02-24 21:32:55 UTC
Many thanks for the review.

New Package SCM Request
=======================
Package Name: globus-gram-job-manager-condor
Short Description: Globus Toolkit - Condor Job Manager Support
Owners: ellert
Branches: f15 f16 f17 el4 el5 el6
InitialCC:

Comment 6 Gwyn Ciesla 2012-02-27 13:31:54 UTC
Git done (by process-git-requests).

Keep in mind that EL-4 is EOL in a matter of days.

Comment 7 Fedora Update System 2012-02-28 08:59:07 UTC
globus-gram-job-manager-condor-1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/globus-gram-job-manager-condor-1.0-2.el5

Comment 8 Fedora Update System 2012-02-28 08:59:17 UTC
globus-gram-job-manager-condor-1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/globus-gram-job-manager-condor-1.0-2.fc15

Comment 9 Fedora Update System 2012-02-28 08:59:28 UTC
globus-gram-job-manager-condor-1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/globus-gram-job-manager-condor-1.0-2.fc17

Comment 10 Fedora Update System 2012-02-28 08:59:37 UTC
globus-gram-job-manager-condor-1.0-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/globus-gram-job-manager-condor-1.0-2.el4

Comment 11 Fedora Update System 2012-02-28 08:59:46 UTC
globus-gram-job-manager-condor-1.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/globus-gram-job-manager-condor-1.0-2.el6

Comment 12 Fedora Update System 2012-02-28 08:59:56 UTC
globus-gram-job-manager-condor-1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/globus-gram-job-manager-condor-1.0-2.fc16

Comment 13 Fedora Update System 2012-02-28 20:39:54 UTC
globus-gram-job-manager-condor-1.0-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 14 Fedora Update System 2012-03-01 01:02:44 UTC
globus-gram-job-manager-condor-1.0-2.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 15 Fedora Update System 2012-03-06 20:24:59 UTC
globus-gram-job-manager-condor-1.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 16 Fedora Update System 2012-03-08 21:22:48 UTC
globus-gram-job-manager-condor-1.0-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2012-03-08 21:23:40 UTC
globus-gram-job-manager-condor-1.0-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 18 Fedora Update System 2012-03-15 19:52:39 UTC
globus-gram-job-manager-condor-1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 19 Fedora Update System 2012-03-15 19:53:46 UTC
globus-gram-job-manager-condor-1.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.